net.sourceforge.pmd.lang.ast.xpath.saxon

## Class AttributeNode

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.xpath.saxon.AbstractNodeInfo
  - - net.sourceforge.pmd.lang.ast.xpath.saxon.AttributeNode

All Implemented Interfaces:
  Source, net.sf.saxon.evpull.PullEvent, net.sf.saxon.om.Item, net.sf.saxon.om.NodeInfo, net.sf.saxon.om.SiblingCountingNode, net.sf.saxon.om.ValueRepresentation, net.sf.saxon.om.VirtualNode

    public class AttributeNode
    extends AbstractNodeInfo

A Saxon OM Attribute node for an AST Node Attribute.

### Field Summary

Fields
`protected Attribute` `attribute`
`protected int` `id`
`protected net.sf.saxon.value.Value` `value`

### Fields inherited from interface net.sf.saxon.om.NodeInfo

`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

### Constructor Summary

Constructors
Constructor and Description
`AttributeNode(Attribute attribute, int id)`

### Method Summary

Methods
`net.sf.saxon.value.Value` `atomize()`
`int` `compareOrder(net.sf.saxon.om.NodeInfo other)`
`String` `getLocalPart()`
`int` `getNodeKind()`
`CharSequence` `getStringValueCS()`
`net.sf.saxon.om.SequenceIterator` `getTypedValue()`
`String` `getURI()`

### Methods inherited from class net.sourceforge.pmd.lang.ast.xpath.saxon.AbstractNodeInfo

`copy, createUnsupportedOperationException, equals, generateId, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getNameCode, getNamePool, getParent, getPrefix, getRoot, getSiblingPosition, getStringValue, getSystemId, getTypeAnnotation, getUnderlyingNode, hasChildNodes, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis, setSystemId`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sf.saxon.om.NodeInfo

`hashCode`

### Field Detail

#### attribute

    protected final Attribute attribute

#### id

    protected final int id

#### value

    protected net.sf.saxon.value.Value value

### Constructor Detail

#### AttributeNode

    public AttributeNode(Attribute attribute,
                 int id)

### Method Detail

#### getNodeKind

    public int getNodeKind()

Description copied from class: `AbstractNodeInfo`

Specified by:
  `getNodeKind` in interface `net.sf.saxon.om.NodeInfo`
Overrides:
  `getNodeKind` in class `AbstractNodeInfo`

#### getLocalPart

    public String getLocalPart()

Description copied from class: `AbstractNodeInfo`

Specified by:
  `getLocalPart` in interface `net.sf.saxon.om.NodeInfo`
Overrides:
  `getLocalPart` in class `AbstractNodeInfo`

#### getURI

    public String getURI()

Description copied from class: `AbstractNodeInfo`

Specified by:
  `getURI` in interface `net.sf.saxon.om.NodeInfo`
Overrides:
  `getURI` in class `AbstractNodeInfo`

#### atomize

    public net.sf.saxon.value.Value atomize()
                                     throws net.sf.saxon.trans.XPathException

Description copied from class: `AbstractNodeInfo`

Specified by:
  `atomize` in interface `net.sf.saxon.om.NodeInfo`
Overrides:
  `atomize` in class `AbstractNodeInfo`
Throws:
  `net.sf.saxon.trans.XPathException`

#### getStringValueCS

    public CharSequence getStringValueCS()

Description copied from class: `AbstractNodeInfo`

Specified by:
  `getStringValueCS` in interface `net.sf.saxon.om.Item`
Specified by:
  `getStringValueCS` in interface `net.sf.saxon.om.ValueRepresentation`
Overrides:
  `getStringValueCS` in class `AbstractNodeInfo`

#### getTypedValue

    public net.sf.saxon.om.SequenceIterator getTypedValue()
                                                   throws net.sf.saxon.trans.XPathException

Description copied from class: `AbstractNodeInfo`

Specified by:
  `getTypedValue` in interface `net.sf.saxon.om.Item`
Overrides:
  `getTypedValue` in class `AbstractNodeInfo`
Throws:
  `net.sf.saxon.trans.XPathException`

#### compareOrder

    public int compareOrder(net.sf.saxon.om.NodeInfo other)

Description copied from class: `AbstractNodeInfo`

Specified by:
  `compareOrder` in interface `net.sf.saxon.om.NodeInfo`
Overrides:
  `compareOrder` in class `AbstractNodeInfo`